org.apache.lucene.queries.function.docvalues

## Class IntDocValues

- java.lang.Object
- - org.apache.lucene.queries.function.FunctionValues
  - - org.apache.lucene.queries.function.docvalues.IntDocValues

-     public abstract class IntDocValues
      extends FunctionValues

  Abstract `FunctionValues` implementation which supports retrieving int values. Implementations can control how the int values are loaded through `intVal(int)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues

      `FunctionValues.ValueFiller`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ValueSource` | `vs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntDocValues(ValueSource vs)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `byteVal(int doc)`
    `double` | `doubleVal(int doc)`
    `float` | `floatVal(int doc)`
    `ValueSourceScorer` | `getRangeScorer(Weight weight, LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)` Yields a `Scorer` that matches documents with values between the specified range, and that which produces scores equal to `FunctionValues.floatVal(int)`.
    `FunctionValues.ValueFiller` | `getValueFiller()`
    `abstract int` | `intVal(int doc)`
    `long` | `longVal(int doc)`
    `Object` | `objectVal(int doc)` Native Java Object representation of the value
    `short` | `shortVal(int doc)`
    `String` | `strVal(int doc)`
    `String` | `toString(int doc)`

    - ### Methods inherited from class org.apache.lucene.queries.function.FunctionValues

      `boolVal, bytesVal, byteVal, doubleVal, exists, explain, floatVal, getScorer, intVal, longVal, numOrd, ordVal, shortVal, strVal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vs

          protected final ValueSource vs

  - ### Constructor Detail

    - #### IntDocValues

          public IntDocValues(ValueSource vs)

  - ### Method Detail

    - #### byteVal

          public byte byteVal(int doc)
                       throws IOException

      Overrides:
        `byteVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### shortVal

          public short shortVal(int doc)
                         throws IOException

      Overrides:
        `shortVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### floatVal

          public float floatVal(int doc)
                         throws IOException

      Overrides:
        `floatVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### intVal

          public abstract int intVal(int doc)
                              throws IOException

      Overrides:
        `intVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### longVal

          public long longVal(int doc)
                       throws IOException

      Overrides:
        `longVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### doubleVal

          public double doubleVal(int doc)
                           throws IOException

      Overrides:
        `doubleVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### strVal

          public String strVal(int doc)
                        throws IOException

      Overrides:
        `strVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### objectVal

          public Object objectVal(int doc)
                           throws IOException

      Description copied from class: `FunctionValues`
      Native Java Object representation of the value
      Overrides:
        `objectVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### toString

          public String toString(int doc)
                          throws IOException

      Specified by:
        `toString` in class `FunctionValues`
      Throws:
        `IOException`

    - #### getRangeScorer

          public ValueSourceScorer getRangeScorer(Weight weight,
                                                  LeafReaderContext readerContext,
                                                  String lowerVal,
                                                  String upperVal,
                                                  boolean includeLower,
                                                  boolean includeUpper)

      Description copied from class: `FunctionValues`
      Yields a `Scorer` that matches documents with values between the specified range, and that which produces scores equal to `FunctionValues.floatVal(int)`.
      Overrides:
        `getRangeScorer` in class `FunctionValues`

    - #### getValueFiller

          public FunctionValues.ValueFiller getValueFiller()

      Overrides:
        `getValueFiller` in class `FunctionValues`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.